local ffi = require 'ffi'
local lj_include = require 'lj_include'
local defs = {
    SIGHUP = '1',
    SIGINT = '2',
    SIGQUIT = '3',
    SIGILL = '4',
    SIGTRAP = '5',
    SIGABRT = '6',
    SIGIOT = '6',
    SIGBUS = '7',
    SIGFPE = '8',
    SIGKILL = '9',
    SIGUSR1 = '10',
    SIGSEGV = '11',
    SIGUSR2 = '12',
    SIGPIPE = '13',
    SIGALRM = '14',
    SIGTERM = '15',
    SIGSTKFLT = '16',
    SIGCLD = '17',
    SIGCHLD = '17',
    SIGCONT = '18',
    SIGSTOP = '19',
    SIGTSTP = '20',
    SIGTTIN = '21',
    SIGTTOU = '22',
    SIGURG = '23',
    SIGXCPU = '24',
    SIGXFSZ = '25',
    SIGVTALRM = '26',
    SIGPROF = '27',
    SIGWINCH = '28',
    SIGPOLL = '29',
    SIGIO = '29',
    SIGPWR = '30',
    SIGSYS = '31',
    SIGUNUSED = '31',
}
local format, cdef, C = string.format, ffi.cdef, ffi.C
for sym, val in pairs(defs) do
    if not pcall(function() return C[sym] end) then
        cdef(format("enum {%s = %s};", sym, val))
    end
end

